<?php

if (!defined('XOOPS_ROOT_PATH')) exit();

require_once XOOPS_ROOT_PATH."/kernel/XCube_UserAccount.class.php";

class Legacy_UserAccountAdapter extends XCube_UserAccount
{
	var $mAdaptee;

	function Legacy_UserAccountAdapter(&$xoopsUser)
	{
		$this->mAdaptee=&$xoopsUser;
	}
	
	function getId()
	{
		return is_object($this->mAdaptee) ? $this->mAdaptee->uid() : 0;
	}

	function isAnonymous()
	{
		return is_object($this->mAdaptee) ? false : true;
	}
}

?>